Transfer a reference to a new card. The old card will be stopped and the bearer details transferred to the new card. The new card will be linked and activated.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| customerReference | String | 1-255 characters | ✓ | The user defined reference to the card; for example a member id or wallet number |
| trackingNumberFrom | String | 1-20 characters | ✓ | Tracking number of the card being transferred FROM |
| trackingNumberTo | String | 1-20 characters | ✓ | Tracking number of the card being transferred TO. This parameter can’t be empty for this call |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
<methodName>TransferLink</methodName>
<params>
<param>
<value>
<string>0028117378</string>
</value>
</param>
<param>
<value>
<string>customerref</string>
</value>
</param>
<param>
<value>
<string>528823600000002</string>
</value>
</param>
<param>
<value>
<string>903721101215894</string>
</value>
</param>
<param>
<value>
<string>4093920</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20110715T12:54:56</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>800792A6D9BFD31FC93135525AEEDA1D2837B56E</string>
</value>
</param>
</params>
</methodCall>
Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| terminalID | String | The Paymentology issued terminal id of the terminal requesting the transaction |
| customerReference | String | The user defined reference to the card; for example a member id or wallet number |
| trackingNumberFrom | String | Tracking number of the card being transferred FROM |
| trackingNumberTo | String | Tracking number of the card being transferred TO. This parameter can’t be empty for this call |
| transactionID | String | Client generated Transaction id to assist in identify transactions on the client side |
| transactionDate | Date | Client generated / local Transaction Date to assist in identifying transactions on the client side |
| resultText | String | Result text whether its approved or not |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0028117378</string>
</value>
</member>
<member>
<name>customerReference</name>
<value>
<string>customerref</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>trackingNumberTo</name>
<value>
<string>903721101215894</string>
</value>
</member>
<member>
<name>transactionDate</name>
<value>
<dateTime.iso8601>20110715T12:54:56</dateTime.iso8601>
</value>
</member>
<member>
<name>servertransactionID</name>
<value>
<int>8DC650C7-F53C-5B1D-C89CAD741E93714B</int>
</value>
</member>
<member>
<name>transactionID</name>
<value>
<string>4093920</string>
</value>
</member>
<member>
<name>trackingNumberFrom</name>
<value>
<string>528823600000002</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
